Evo 1.0.20j + php7 でエラー

質問全般・改善要望
adamod
メンバー
メンバー
記事: 31
登録日時: 2012年6月27日(水) 01:08

Evo 1.0.20j + php7 でエラー

投稿記事by adamod » 2018年1月28日(日) 11:29

何時もお世話になります。

最新のEvo 1.0.20jを使っていますが、レンタルサーバーのPHPをPHP5.xからPHP7.X にアップグレードしたところエラーが発生するようになりました。
エラーメッセージは無く、サイトに「Error」とだけ表示されます。

やり方としては、Modxのルートにある.htaccessに下記のコードを追加することで、サーバーをPHP7のFastCGIモードで動かすようにしています(ホスティング会社の指示)。

コード: 全て選択

AddHandler fcgid-script .php
FCGIWrapper /home/.users/ユーザー名/fastcgi-php-7.2 .php

前のバージョンのModxはこの設定で問題ありませんでした(プラグインは別としてサイトは正しく表示されていた)。

アドバイスをお願い致します。

【サーバー環境】
Just-size net
PHP5.4→PHP7.2
MySQL 5.1.61
アバター
yama
管理人
記事: 2941
登録日時: 2009年7月29日(水) 02:50

Evo 1.0.20j + php7 でエラー

投稿記事by yama » 2018年2月14日(水) 10:23

こちら確認が遅くなりました。管理画面のレポート→イベントログを見ていただけますでしょうか、そこにエラーの内容が記録されています。現在のところPHP7.1までは問題なく動作するはずですが、今回はPHP7.2とのことなので、おそらくobjectの扱いが関係していると思います。
adamod
メンバー
メンバー
記事: 31
登録日時: 2012年6月27日(水) 01:08

Evo 1.0.20j + php7 でエラー

投稿記事by adamod » 2018年2月14日(水) 22:17

yamaさん、何時もお世話になります。

イベントログですが、このポストをした前後のものを確認すると、以下のようになっていました。

661294 Parser - if(!isset($port)) $this->c 2018/01/30 14:51:17
661293 Parser - if(!isset($port)) $this->c 2018/01/29 15:25:17
661292 Plugin - directResize 2018/01/28 20:35:15
661291 Parser - while(list($k, $v) = each($parame 2018/01/28 10:56:34
661290 Parser - while(list($k, $v) = each($parame 2018/01/28 10:56:01
661289 Parser - while(list($k, $v) = each($parame 2018/01/28 10:55:42
661288 Parser - while(list($k, $v) = each($parame 2018/01/28 10:55:41
661287 Parser - while(list($k, $v) = each($parame 2018/01/28 10:54:12
661286 Parser - while(list($k, $v) = each($parame 2018/01/28 10:54:04
661285 Plugin - directResize 2018/01/28 10:53:43
661284 Plugin - directResize 2018/01/28 02:46:33
661283 Plugin - directResize 2018/01/27 22:29:04
661282 Plugin - directResize 2018/01/27 22:28:37
661281 Parser - while(list($k, $v) = each($parame 2018/01/27 22:26:24

これ以外は殆ど「☓ Plugin - directResize」ばっかりです。夫々のメッセージの中身も書きましょうか?

それとこの時、PHP7.0や7.1でも試したが、同じエラーが出ていました。
アバター
yama
管理人
記事: 2941
登録日時: 2009年7月29日(水) 02:50

Evo 1.0.20j + php7 でエラー

投稿記事by yama » 2018年2月14日(水) 22:50

https://github.com/extras-evolution/directResize
directResizeは上記に最新版がありますが、これをご利用でしょうか?
adamod
メンバー
メンバー
記事: 31
登録日時: 2012年6月27日(水) 01:08

Evo 1.0.20j + php7 でエラー

投稿記事by adamod » 2018年2月14日(水) 23:15

directResizeは以前下のトピックで提示して頂いたものを使っています。
viewtopic.php?f=32&t=1792
Githubにある最新版とバージョンナンバーは0.8.3で同じですが、もし中身が変わっていたら以前のバージョンを使ってる事になりますね。

それとたった今PHP7.1を試したんですが、directResizeを外すとエラーは出ませんでした。
しかしPHP7.2だと、directResizeを外してもやはりエラーになります。上の記載は間違いでした。